Summary:	A software library for accesing MusicBrainz servers
Summary(pl.UTF-8):	Biblioteka umożliwiająca korzystanie z serwerów MusicBrainz
Name:		libmusicbrainz
Version:	2.1.5
Release:	8
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/historical/%{name}-%{version}.tar.gz
# Source0-md5:	d5e19bb77edd6ea798ce206bd05ccc5f
Patch0:		%{name}-gcc43.patch
Patch1:		%{name}-narrowing.patch
URL:		https://musicbrainz.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	rpm-pythonprov
Provides:	musicbrainz
Obsoletes:	musicbrainz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%description -l pl.UTF-8
Biblioteka kliencka MusicBrainz pozwala aplikacjom na wysyłanie
zapytań do serwerów MusicBrainz, generowanie sygnatur z plików WAV
oraz tworzenie indeksów z płyt CD audio.

%package devel
Summary:	Headers for developing programs that will use libmusicbrainz
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania programów używających libmusicbrainz
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	expat-devel
Requires:	libstdc++-devel
Provides:	musicbrainz-devel
Obsoletes:	musicbrainz-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use libmusicbrainz.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne programistom do rozwijania aplikacji
używających biblioteki libmusicbrainz.

%package static
Summary:	Static libmusicbrainz libraries
Summary(pl.UTF-8):	Biblioteki statyczne libmusicbrainz
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	musicbrainz-static

%description static
Static libmusicbrainz libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libmusicbrainz.

%package -n python-musicbrainz
Summary:	Python bindings for libmusicbrainz
Summary(pl.UTF-8):	Wiązania Pythona do libmusicbrainz
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-musicbrainz
Python bindings for libmusicbrainz.

%description -n python-musicbrainz -l pl.UTF-8
Wiązania Pythona do libmusicbrainz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

cd python
LD_LIBRARY_PATH=../lib/.libs %py_build
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd python
LD_LIBRARY_PATH=../lib/.libs %py_install
cd ..

%py_postclean

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmusicbrainz.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libmusicbrainz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmusicbrainz.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmusicbrainz.so
%{_includedir}/musicbrainz
%{_pkgconfigdir}/libmusicbrainz.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmusicbrainz.a

%files -n python-musicbrainz
%defattr(644,root,root,755)
%{py_sitescriptdir}/musicbrainz.py[co]
%{py_sitescriptdir}/python_musicbrainz-*.egg-info
%changelog
* Tue Nov 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmusicbrainz.git;a=log;h=master

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 8aa9ca2
- added narrowing patch (fix build with modern gcc)
- drop .la file
- release 8

* Mon Jan 06 2020 Jakub Bogusz <qboosh@pld-linux.org> a4f32b2
- updated URLs

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> 460b4a8
- use rpm python macros
- rel 7

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fd3747f
- release 6 (by relup.sh)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 81fcb68
- x32 rebuild
- release 5 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 1f721dd
- rebuild with expat 2.1.0
- release 4 (by relup.sh)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4af3fbc
- release 3

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 18d8512
- BR: python-devel

* Sat Oct 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> a0147cb
- added -gcc43.patch
- ghost soname symlink
- release 2

* Sat Oct 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 7aa96f5
- fix build on gcc 4.3

* Mon May 28 2007 Jakub Bogusz <qboosh@pld-linux.org> c0e6063
- updated to 2.1.5
- removed obsolete ac patch

* Mon May 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 0427b2f
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> be99544
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f26f81d
- converted to UTF-8

* Tue Dec 12 2006 Paweł Sikora <pluto@pld-linux.org> f201c8d
- release 3, rebuild with P: *.la.

* Wed Aug 30 2006 havner <havner@pld-linux.org> 0602f7c
- BR python-modules 2.5 instead of python-ctypes

* Sun Aug 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 0b92854
- updated to 2.1.4 (fixes CVE-2006-4197)

* Mon Jul 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 47b8e5e
- updated to 2.1.3, removed obsolete py-lib64 patch, added ac patch

* Mon Jul 17 2006 Jakub Bogusz <qboosh@pld-linux.org> ca88eeb
- ac fix

* Mon Jul 17 2006 Jakub Bogusz <qboosh@pld-linux.org> d0e7a60
- obsolete

